"""Define generic fixtures."""
import pytest


@pytest.fixture()
def fixture_states_json():
    """Return a subset of a /states response."""
    return [{
        "name": "United States",
        "place_id": "106",
        "lat": "39.966930",
        "lon": "-97.556099",
        "data": {
            "symptoms_percentage": 10.26,
            "none_percentage": 89.74,
            "ili_percentage": 2.15,
            "lepto_percentage": 0.05,
            "dengue_percentage": 1.99,
            "chick_percentage": 0,
            "level": 3,
            "overlay_color": "#00B7B6",
            "total_surveys": 15004,
            "symptoms": 1540,
            "no_symptoms": 13464,
            "ili": 322,
            "lepto": 7,
            "dengue": 298,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 11.92,
            "none_percentage": 88.08,
            "ili_percentage": 2.67,
            "lepto_percentage": 0.05,
            "dengue_percentage": 2.29,
            "chick_percentage": 0,
            "level": 3,
            "overlay_color": "#00B7B6",
            "total_surveys": 16524,
            "symptoms": 1970,
            "no_symptoms": 14554,
            "ili": 441,
            "lepto": 9,
            "dengue": 378,
            "chick": 0
        }
    }, {
        "name": "Alabama",
        "place_id": "205",
        "lat": "32.731800",
        "lon": "-86.748100",
        "data": {
            "symptoms_percentage": 10.47,
            "none_percentage": 89.53,
            "ili_percentage": 1.16,
            "lepto_percentage": 0,
            "dengue_percentage": 0,
            "chick_percentage": 0,
            "level": 2,
            "overlay_color": "#00B7B6",
            "total_surveys": 86,
            "symptoms": 9,
            "no_symptoms": 77,
            "ili": 1,
            "lepto": 0,
            "dengue": 0,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 18.81,
            "none_percentage": 81.19,
            "ili_percentage": 4.95,
            "lepto_percentage": 0,
            "dengue_percentage": 4.95,
            "chick_percentage": 0,
            "level": 5,
            "overlay_color": "#FFE167",
            "total_surveys": 101,
            "symptoms": 19,
            "no_symptoms": 82,
            "ili": 5,
            "lepto": 0,
            "dengue": 5,
            "chick": 0
        }
    }, {
        "name": "Alaska",
        "place_id": "206",
        "lat": "64.000198",
        "lon": "-150.000305",
        "data": {
            "symptoms_percentage": 10.87,
            "none_percentage": 89.13,
            "ili_percentage": 0,
            "lepto_percentage": 0,
            "dengue_percentage": 0,
            "chick_percentage": 0,
            "level": 1,
            "overlay_color": "#008CB7",
            "total_surveys": 46,
            "symptoms": 5,
            "no_symptoms": 41,
            "ili": 0,
            "lepto": 0,
            "dengue": 0,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 13.95,
            "none_percentage": 86.05,
            "ili_percentage": 0,
            "lepto_percentage": 0,
            "dengue_percentage": 0,
            "chick_percentage": 0,
            "level": 1,
            "overlay_color": "#008CB7",
            "total_surveys": 43,
            "symptoms": 6,
            "no_symptoms": 37,
            "ili": 0,
            "lepto": 0,
            "dengue": 0,
            "chick": 0
        }
    }, {
        "name": "Arizona",
        "place_id": "207",
        "lat": "34.500198",
        "lon": "-111.500298",
        "data": {
            "symptoms_percentage": 8.93,
            "none_percentage": 91.07,
            "ili_percentage": 2.08,
            "lepto_percentage": 0,
            "dengue_percentage": 2.38,
            "chick_percentage": 0,
            "level": 3,
            "overlay_color": "#00B7B6",
            "total_surveys": 336,
            "symptoms": 30,
            "no_symptoms": 306,
            "ili": 7,
            "lepto": 0,
            "dengue": 8,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 12.99,
            "none_percentage": 87.01,
            "ili_percentage": 3.32,
            "lepto_percentage": 0.3,
            "dengue_percentage": 3.32,
            "chick_percentage": 0,
            "level": 4,
            "overlay_color": "#FFE167",
            "total_surveys": 331,
            "symptoms": 43,
            "no_symptoms": 288,
            "ili": 11,
            "lepto": 1,
            "dengue": 11,
            "chick": 0
        }
    }, {
        "name": "Arkansas",
        "place_id": "208",
        "lat": "34.741600",
        "lon": "-92.504898",
        "data": {
            "symptoms_percentage": 7.29,
            "none_percentage": 92.71,
            "ili_percentage": 1.04,
            "lepto_percentage": 0,
            "dengue_percentage": 1.04,
            "chick_percentage": 0,
            "level": 2,
            "overlay_color": "#00B7B6",
            "total_surveys": 96,
            "symptoms": 7,
            "no_symptoms": 89,
            "ili": 1,
            "lepto": 0,
            "dengue": 1,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 16.13,
            "none_percentage": 83.87,
            "ili_percentage": 5.38,
            "lepto_percentage": 0,
            "dengue_percentage": 3.23,
            "chick_percentage": 0,
            "level": 6,
            "overlay_color": "#FF7270",
            "total_surveys": 93,
            "symptoms": 15,
            "no_symptoms": 78,
            "ili": 5,
            "lepto": 0,
            "dengue": 3,
            "chick": 0
        }
    }, {
        "name": "California",
        "place_id": "204",
        "lat": "37.250198",
        "lon": "-119.750298",
        "data": {
            "symptoms_percentage": 12.32,
            "none_percentage": 87.68,
            "ili_percentage": 2.69,
            "lepto_percentage": 0,
            "dengue_percentage": 2.17,
            "chick_percentage": 0,
            "level": 3,
            "overlay_color": "#00B7B6",
            "total_surveys": 2119,
            "symptoms": 261,
            "no_symptoms": 1858,
            "ili": 57,
            "lepto": 0,
            "dengue": 46,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 14.29,
            "none_percentage": 85.71,
            "ili_percentage": 2.91,
            "lepto_percentage": 0.05,
            "dengue_percentage": 2.21,
            "chick_percentage": 0,
            "level": 3,
            "overlay_color": "#00B7B6",
            "total_surveys": 2128,
            "symptoms": 304,
            "no_symptoms": 1824,
            "ili": 62,
            "lepto": 1,
            "dengue": 47,
            "chick": 0
        }
    }, {
        "name": "Colorado",
        "place_id": "209",
        "lat": "38.993500",
        "lon": "-105.512703",
        "data": {
            "symptoms_percentage": 8.68,
            "none_percentage": 91.32,
            "ili_percentage": 1.49,
            "lepto_percentage": 0,
            "dengue_percentage": 1.74,
            "chick_percentage": 0,
            "level": 2,
            "overlay_color": "#00B7B6",
            "total_surveys": 403,
            "symptoms": 35,
            "no_symptoms": 368,
            "ili": 6,
            "lepto": 0,
            "dengue": 7,
            "chick": 0
        },
        "last_week_data": {
            "symptoms_percentage": 12.5,
            "none_percentage": 87.5,
            "ili_percentage": 4.17,
            "lepto_percentage": 0,
            "dengue_percentage": 3.94,
            "chick_percentage": 0,
            "level": 5,
            "overlay_color": "#FFE167",
            "total_surveys": 432,
            "symptoms": 54,
            "no_symptoms": 378,
            "ili": 18,
            "lepto": 0,
            "dengue": 17,
            "chick": 0
        }
    }]
